POST api/Account/LogOff

Logoff user. This will remove the ticket associated with user regardless of expiration date. Only way to access system is to call Logon once more.

Exceptions

ExceptionCondition
HttpResponseException

Will throw HTTP status code 401 if we cannot logon

Examples

Logoff using a jQuery ajax call


var arg = {
    TicketId : that.get_ticket()
}
$.ajax({
    url: 'https://api.infocare.com/api/Account/Logoff',
    data: JSON.stringify(arg),
    type: "POST",
    contentType: "application/json;charset=utf-8"
})

Request Information

URI Parameters

None.

Body Parameters

Ticket identifying user to logg off

BaseArgumentModel
NameDescriptionTypeAdditional information
TicketId

Gets or sets the ticket id

string

None.

Culture

Gets or sets culture, if not specified we will use culture set on user.

string

None.

Request Formats

application/json, text/json

Sample:
{
  "TicketId": "sample string 1",
  "Culture": "sample string 2"
}

application/xml, text/xml

Sample:
<BaseArgumentModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Rostov.Models">
  <Culture>sample string 2</Culture>
  <TicketId>sample string 1</TicketId>
</BaseArgumentModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'BaseArgumentModel'.

Response Information

Resource Description

BaseReturnModel
NameDescriptionTypeAdditional information
CombinedPerformanceId

Gets or sets the performance id. If performance monitoring is not turned on this property will not be present or set to null

string

Json null value handling: Ignore

Response Formats

application/json, text/json

Sample:
{
  "CombinedPerformanceId": "sample string 1"
}

application/xml, text/xml

Sample:
<BaseReturnModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Rostov.Models">
  <CombinedPerformanceId>sample string 1</CombinedPerformanceId>
</BaseReturnModel>